# PACKAGING/TAILORING:
#
# As packager or for tailoring you easily can redefine the locations of the
# the following default directories:
#
# ./system     (Here are icons, translations, and startup/benchmark located)
# ./doc        (Here are the html-helpfiles located)
# ./work       (Here are the zhu-files located)
# ./textures   (Here are the textures located)
#
# The work-directory as well as the textures need NO write privileges in
# any case, because they easily can be redefined within Zhu3D at runtime.
#
# To change the locations, just fill in your desired path like e.g:
#
# SYSDIR=/usr/share/zhu3d-4.2.4/system
# DOCDIR=/usr/share/doc/zhu3d-4.2.4/doc
# WORKDIR=$$(HOME)/zhu3d-4.2.4/work
# TEXDIR=$$(HOME)/zhu3d-4.2.4/work/textures
#
# In the example above the variable $$(HOME) denotes the users home-directory.
# If an entry stays blank, the directory path for this will be relative to the
# application path. As default the texture-directory resides under the work-
# directory.

SYSDIR=
DOCDIR=
WORKDIR=
TEXDIR=


# DETERMINING A DEFAULT GUI-STYLE
#
# Note, that this switch determines the the gui-style of the 1.st time ever call
# of Zhu3D only. Successive program starts will always respect settings, which the
# user choosed as preferred. If the entry stays blank, Zhu3D starts with "Plastique"
# as default KDE-style. Gnome-packagers may prefer "Cleanlooks" or GTK+, what are
# native Gnome-styles.
#
# Of course you only should choose a setting, which is available for the targeted
# audience. Plastique and Cleanlooks should work everywhere, Macintosh or WindowsVista
# on computers with dedicated operatings systems only of course.
#
# Currently (Qt4 4.5.x) valid entries are:
#
# Plastique, Cleanlooks, GTK+, Motif, CDE, Windows, WindowsXP, WindowsVista, Macintosh

DEFGUI=
